/*****************************************************************************
 *                                                                           *
 * Copyright 2006 Timothy F Clarke (timothyclarke@gmail.com)                 *
 *                                                                           *
 * This work is licensed under the Creative Commons Attribution License.     *
 *                                                                           *
 * To view a copy of this license, visit                                     *
 * http://creativecommons.org/licenses/by/2.0 or send a letter to Creative   *
 * Commons, 559 Nathan Abbott Way, Stanford, California 94305, USA.          *
 *                                                                           *
 * You are free:                                                             *
 *     - to copy, distribute, display, and perform the work                  *
 *     - to make derivative works                                            *
 *     - to make commercial use of the work                                  *
 * Under the following conditions:                                           *
 *     - Attribution. You must give the original author credit.              *
 *     - For any reuse or distribution, you must make clear to others the    *
 *           license terms of this work.                                     *
 *     - Any of these conditions can be waived if you get permission from    *
 *           the copyright holder.                                           *
 * Your fair use and other rights are in no way affected by the above.       *
 *                                                                           *
 * Notification of use of this work would be appreciated but is in no way    *
 * mandatory.                                                                *
 *                                                                           *
 ****************************************************************************/



/*
 * Overcome POV-Ray's insistancy (or however it's spelt) to warn about only
 * one object in a union, which is irritating when looping to create a random
 * quantity of objects.
 */
#macro ConditionalUnion( i_num_objects )
    #if ( i_num_objects = 1 )
        object
    #else
        union
    #end
#end
